// A fan game by poret. This game is not affiliated with SNK. This is a fan game which is not being sold or distributed for profit.

#include "GameModes/KOFTeam.h"

#include "Character/KOFBaseCharacter.h"

AKOFBaseCharacter* UKOFTeam::GetCurrentCharacter()
{
	return Characters.Num() > 0 ? Characters[0] : nullptr; 
}

void UKOFTeam::InitTeam()
{
	for (TSubclassOf<AKOFBaseCharacter> CharacterTemplate : CharacterTemplates)
	{
		AKOFBaseCharacter* Temp = NewObject<AKOFBaseCharacter>(CharacterTemplate);
		if(Temp)
		{
			Characters.Add(Temp);
		}
	}
}
